import React from 'react';
import { map } from 'lodash';
import HeaderMenuTitle from './menu-title';
import { isNonEmptyString } from 'primeobjects-helper-util';
export var HeadMenuDesktopView = function (props) {
    var navigation = props.navigation, colorName = props.colorName;
    return React.createElement(React.Fragment, null, map(navigation, function (menu, idx) {
        return React.createElement(HeaderMenuTitle, { key: idx, title: menu.title, href: menu.href, maxWidth: menu.maxWidth, sections: menu.sections, colorName: isNonEmptyString(menu.colorName) ? menu.colorName : colorName });
    }));
};
export default HeadMenuDesktopView;
